get
https://partner.gupshup.io/partner/bizgate/app//integration/conversational/components
Returns the conversational components — welcome message, ice-breaker prompts, and commands — currently configured for the app's WhatsApp number.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Sample cURL — Get conversational components.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/integration/conversational/components' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"conversational_automation": {
"prompts": [
"Book a flight",
"plan a vacation"
],
"commands": [
{
"command_name": "tickets",
"command_description": "Book flight tickets"
},
{
"command_name": "hotel",
"command_description": "Book hotel"
}
],
"enable_welcome_message": false,
"id": "104229822776062"
},
"id": "109259195336416"
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…